<?php

if(isset($_POST['funciones']) && !empty($_POST['funciones'])) {
    $function2call = $_POST['funciones'];
    switch($function2call) {
        case 'lFun_ObtenEstado' : lFun_ObtenEstado();break;
        case 'lFun_ObtenMunicipio' : lFun_ObtenMunicipio();break;
        case 'lFun_ObtenColonia' : lFun_ObtenColonia();break;
        case 'lFun_ObtenGenero' : lFun_ObtenGenero();break;
        case 'other' : // do something;break;
        // other cases
    }
}

function lFun_ObtenEstado(){

  require_once('xconn.php');

  if ($conn ->connect_error) {
    die('Connection failed: '  . $conn ->connect_error);
  }

  $cp = htmlspecialchars($_POST['cp'],ENT_QUOTES);
  $c_estado = 0;

    $result2 = mysqli_query($conn,"SELECT t_catalogocolonias.c_estado,t_catalogoestado.d_descripcion FROM t_catalogomunicipios INNER JOIN t_catalogocolonias ON t_catalogomunicipios.c_estado = t_catalogocolonias.c_estado AND t_catalogomunicipios.c_municipio = t_catalogocolonias.c_municipio INNER JOIN t_catalogoestado ON t_catalogomunicipios.c_estado = t_catalogoestado.c_consec WHERE t_catalogocolonias.d_CP = '" . $cp . "' LIMIT 1");
    
    while ($valores = mysqli_fetch_array($result2)) {
      $c_estado = $valores['c_estado'];
    }

    echo $c_estado;
}

function lFun_ObtenMunicipio(){

  require_once('xconn.php');

  if ($conn ->connect_error) {
    die("Connection failed: " . $conn ->connect_error);
  }

  $cp = htmlspecialchars($_POST['cp'],ENT_QUOTES);
  $c_municipio = array();;
  $d_municipio = array();
  $d_datos = array();

    $result2 = mysqli_query($conn,"SELECT t_catalogocolonias.c_municipio,t_catalogomunicipios.d_municipio FROM t_catalogomunicipios INNER JOIN t_catalogocolonias ON t_catalogocolonias.c_estado = t_catalogomunicipios.c_estado AND t_catalogocolonias.c_municipio = t_catalogomunicipios.c_municipio WHERE t_catalogocolonias.d_CP = '" . $cp . "' LIMIT 1");
    
    while ($valores = mysqli_fetch_array($result2)) {
      array_push($c_municipio, $valores['c_municipio']);
      array_push($d_municipio, utf8_encode($valores['d_municipio']));
    }
    $d_datos = array('c_municipio' => $c_municipio, 'd_municipio' => $d_municipio);

    echo json_encode(array('res' => $d_datos));
}

function lFun_ObtenColonia(){

  require_once('xconn.php');

  if ($conn ->connect_error) {
    die("Connection failed: " . $conn ->connect_error);
  }

  $cp = htmlspecialchars($_POST['cp'],ENT_QUOTES);
  $c_colonia = array();
  $d_colonia = array();
  $d_datos = array();

    $result2 = mysqli_query($conn,"SELECT t_catalogocolonias.c_colonia,t_catalogocolonias.d_colonia FROM t_catalogomunicipios INNER JOIN t_catalogocolonias ON t_catalogomunicipios.c_estado = t_catalogocolonias.c_estado AND t_catalogomunicipios.c_municipio = t_catalogocolonias.c_municipio WHERE t_catalogocolonias.d_CP = '" . $cp . "'");
    
    while ($valores = mysqli_fetch_array($result2)) {
      array_push($c_colonia, $valores['c_colonia']);
      array_push($d_colonia, utf8_encode($valores['d_colonia']));
      //array_push($pila, $valores['c_municipio']); Tarda Mas por eso se comenta
    }
    $d_datos = array('c_colonia' => $c_colonia, 'd_colonia' => $d_colonia);

    echo json_encode(array('res' => $d_datos));
}

function lFun_ObtenGenero(){

  require_once('xconn.php');

  if ($conn ->connect_error) {
    die("Connection failed: " . $conn ->connect_error);
  }

  $id = htmlspecialchars($_POST['p'],ENT_QUOTES);
  $c_genero = array();
  $d_genero = array();
  $d_datos = array();

    $result2 = mysqli_query($conn,"SELECT c_genero, d_genero FROM t_catalogogenero WHERE c_genero ='" . intval($id) . "'" );
    
    while ($valores = mysqli_fetch_array($result2)) {
      array_push($c_genero, $valores['c_genero']);
      array_push($d_genero, utf8_encode($valores['d_genero']));
    }
    $d_datos = array('c_genero' => $c_genero, 'd_genero' => $d_genero);

    echo json_encode(array('res' => $d_datos));
}

?>